<div class="container-fluid form-page">
  <form name="form" novalidate>
    <div class="row">
      <div class="col-md-12">
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="fName">{{lang.NameofChef}}</label>
              <span class="required"> *</span>
              <input type="text" class="form-control" name="fName" aria-describedby="first name"
                placeholder="{{lang.Firstname}}" [(ngModel)]="signupData.firstname" #firstname="ngModel"
                required>
            </div>
          </div>
          <div class="col-md-6 align-self-end">
            <div class="form-group">
              <label for="LName">Last Name</label>
              <span class="required"> *</span>
              <input type="text" class="form-control" name="LName" [(ngModel)]="signupData.lastname" aria-describedby="last name" placeholder="{{lang.Lastname}}" #lastname="ngModel"
              required>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
              <div class="form-group">
                <label for="email">{{lang.EmailId}}</label>
                <span class="required"> *</span>
                <input type="email" class="form-control" name="email" [(ngModel)]="signupData.emailid" aria-describedby="email id" placeholder="{{lang.EmailId}}" #emailid="ngModel" required email pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$">
              </div>
            </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="email">{{lang.ConfirmEmailId}}</label>
              <span class="required"> *</span>
              <input type="email" class="form-control" name="email" [(ngModel)]="signupData.confirmemailid" aria-describedby="email id" placeholder="{{lang.ConfirmEmailId}}" #emailid="ngModel" required email pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$">
            </div>
          </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                  <label for="password">{{lang.Password}}</label>
                  <span class="required"> *</span>
                  <input type="password" class="form-control" name="password" [(ngModel)]="signupData.pwd" aria-describedby="password" placeholder="{{lang.Password}}" #pwd="ngModel"
                  required>
                </div>
              </div>
              <div class="col-md-6">
                  <div class="form-group">
                    <label for="password">{{lang.ConfirmPassword}}</label>
                    <span class="required"> *</span>
                    <input type="password" class="form-control" name="password" [(ngModel)]="signupData.confirmpwd" aria-describedby="password" placeholder="{{lang.ConfirmPassword}}" #confirmpwd="ngModel"
                    required>
                  </div>
                </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                  <label for="phoneNo">{{lang.PhoneNumber}}</label>
                  <span class="required"> *</span>
                  <input type="tel" class="form-control" name="phoneNo" [(ngModel)]="signupData.phone_number" aria-describedby="phone number" placeholder="{{lang.PhoneNumber}}" #phno="ngModel"
                  required pattern="[0-9]*" maxlength="10">
                </div>
              </div>
          <div class="col-md-4">
            <div class="form-group">
              <label for="email">{{lang.State}}</label>
              <span class="required"> *</span>
              <select name="ddlState"  [(ngModel)] = "this.signupData.state" class="form-control" >
                <option *ngFor="let opt of state" [value]="opt.Id">{{opt.Name}}</option>
              </select>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label for="password">{{lang.Region}}</label>
              <span class="required"> *</span>
              <select name="ddlRegion"  [(ngModel)] = "this.signupData.region" class="form-control" >
                  <option *ngFor="let optr of region" [value]="optr.Id">{{optr.Name}}</option>
                </select>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <div class="form-check">
              <input type="checkbox" id="terms" [checked]="terms" (change)="terms=!terms" [disabled] = "isdisabled">
              <label class="form-check-label" for="terms">{{lang.Iaccept}}
                <a href="javascript:;">{{lang.Terms}}</a></label></div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <button type="submit" class="btn btn-primary" [disabled]="!terms" (click)="SubmitSignUp()">{{lang.Submit}}</button>
          </div>
        </div>
      </div>
    </div>
  </form>
  <div>
  </div>
</div>